@import "~/src/sass/variables.sass"

.scene-controller
  background-color: var(--color-surface, $light-surface)

  border: 1px var(--color-outline, $light-outline) solid
  border-radius: 20px

  display: flex
  flex-direction: column
  justify-content: space-between
  align-items: center
  padding: 10px
  gap: 10px

  .scene-controller-name
    color: var(--color-on-surface, $light-on-surface)
    font-size: 18px
    text-align: center
    margin: 0px
    word-wrap: normal

  .scene-controller-button
    height: 40px

    // Center children
    display: flex
    flex-direction: row
    justify-content: center
    align-items: center

    background-color: var(--color-primary-container, $light-primary-container)

    border: none
    border-radius: 13px

    // Position in parent
    flex: none
    order: 1
    align-self: stretch
    flex-grow: 0
    margin: 0px

    // Text
    font-family: "Product Sans"
    font-size: 18px
    font-weight: 500
    color: var(--color-on-primary-container, $light-on-primary-container)

@media (prefers-color-scheme: dark)
  .scene-controller
    background-color: var(--color-surface, $dark-surface)
    border-color: var(--color-outline, $dark-outline)

    .scene-controller-name
      color: var(--color-on-surface, $dark-on-surface)

    .scene-controller-button
      background-color: var(--color-primary-container, $dark-primary-container)
      color: var(--color-on-primary-container, $dark-on-primary-container)